<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<qualifiedTypeNameHistroy>
<fullyQualifiedTypeName name="java.io.FileInputStream"/>
<fullyQualifiedTypeName name="java.io.Serializable"/>
<fullyQualifiedTypeName name="subPicture.SubPictureList"/>
<fullyQualifiedTypeName name="java.io.ObjectStreamException"/>
<fullyQualifiedTypeName name="java.io.IOException"/>
<fullyQualifiedTypeName name="subPicture.Pixel"/>
<fullyQualifiedTypeName name="javax.imageio.ImageIO"/>
<fullyQualifiedTypeName name="java.awt.Color"/>
<fullyQualifiedTypeName name="subPicture.SubPicture"/>
<fullyQualifiedTypeName name="dataBase.subPicture.Pixel"/>
<fullyQualifiedTypeName name="java.util.Collections"/>
<fullyQualifiedTypeName name="java.lang.Comparable"/>
<fullyQualifiedTypeName name="dataBase.search.comparator.ComparatorRGB_R"/>
<fullyQualifiedTypeName name="dataBase.search.comparator.ComparatorLumi"/>
<fullyQualifiedTypeName name="dataBase.search.comparator.ComparatorRGB_G"/>
<fullyQualifiedTypeName name="dataBase.search.comparator.ComparatorRGB_B"/>
<fullyQualifiedTypeName name="util.io.FilesAndFolders"/>
<fullyQualifiedTypeName name="dataBase.search.SortedSearchList"/>
<fullyQualifiedTypeName name="dataBase.search.SearchList"/>
<fullyQualifiedTypeName name="data.bins.distance.Distance_L1"/>
<fullyQualifiedTypeName name="dataBase.search.distance.Distance_L1"/>
<fullyQualifiedTypeName name="dataBase.search.distance.AbstractDistance"/>
<fullyQualifiedTypeName name="dataBase.search.comparator.ComperatorDistance"/>
<fullyQualifiedTypeName name="java.lang.Override"/>
<fullyQualifiedTypeName name="dataBase.search.comparator.hash.ComparatorHSV_H"/>
<fullyQualifiedTypeName name="dataBase.search.comparator.hash.ComparatorHSV_S"/>
<fullyQualifiedTypeName name="java.util.List"/>
<fullyQualifiedTypeName name="java.awt.Graphics2D"/>
<fullyQualifiedTypeName name="java.awt.RenderingHints"/>
<fullyQualifiedTypeName name="util.Tools"/>
<fullyQualifiedTypeName name="dataBase.subPicture.SubPicture"/>
<fullyQualifiedTypeName name="javax.imageio.stream.FileImageOutputStream"/>
<fullyQualifiedTypeName name="javax.imageio.IIOImage"/>
<fullyQualifiedTypeName name="javax.imageio.ImageWriter"/>
<fullyQualifiedTypeName name="javax.imageio.ImageWriteParam"/>
<fullyQualifiedTypeName name="java.util.Comparator"/>
<fullyQualifiedTypeName name="data.DataList"/>
<fullyQualifiedTypeName name="java.awt.image.BufferedImage"/>
<fullyQualifiedTypeName name="dataBase.search.DataList"/>
<fullyQualifiedTypeName name="dataBase.PictureBufferElementComparator"/>
<fullyQualifiedTypeName name="java.util.ArrayList"/>
<fullyQualifiedTypeName name="java.io.File"/>
<fullyQualifiedTypeName name="java.util.LinkedList"/>
<fullyQualifiedTypeName name="java.util.Iterator"/>
<fullyQualifiedTypeName name="dataBase.PictureBufferElement"/>
<fullyQualifiedTypeName name="dataBase.PictureBuffer"/>
<fullyQualifiedTypeName name="mosaik._MakeDataBase_"/>
<fullyQualifiedTypeName name="mosaik._MakeDataBase_KRISI"/>
<fullyQualifiedTypeName name="mosaik.MosaikFunctions"/>
<fullyQualifiedTypeName name="dataBase.DataBase"/>
<fullyQualifiedTypeName name="dataBase.search.Best1List"/>
<fullyQualifiedTypeName name="dataBase.subPicture.PixelFloat"/>
<fullyQualifiedTypeName name="java.lang.System"/>
<fullyQualifiedTypeName name="util.simpleIO.Out"/>
<fullyQualifiedTypeName name="dataBase.subPicture.PixelByte"/>
<fullyQualifiedTypeName name="java.util.Random"/>
<fullyQualifiedTypeName name="java.util.Timer"/>
<fullyQualifiedTypeName name="util.Timer"/>
<fullyQualifiedTypeName name="mosaik.MosaikConstants"/>
<fullyQualifiedTypeName name="dataBase.TimedAction"/>
</qualifiedTypeNameHistroy>
